export const DEVICE_MODEL = {
    X10: 'BANKMGMTDEF_FLAVOR_AM_X10',
    X45R8: 'BANKMGMTDEF_FLAVOR_AM_X45R',
    X45RA: 'BANKMGMTDEF_FLAVOR_AM_X45R',
    X47: 'BANKMGMTDEF_FLAVOR_AM_X47',
    X45B: 'BANKMGMTDEF_FLAVOR_AM_X45B',
    E527: 'BANKMGMTDEF_FLAVOR_AM_E527_4G',
    E528: 'BANKMGMTDEF_FLAVOR_AM_E528_4G',
};
//#define BANKMGMTDEF_FLAVOR_AM_E528_4G                       0x08000000
//#define BANKMGMTDEF_FLAVOR_AM_E527_4G                       0x08000001
//#define BANKMGMTDEF_FLAVOR_AM_GS528_4G                      0x08000002
//#define BANKMGMTDEF_FLAVOR_AM_X47                           0x08000003
//#define BANKMGMTDEF_FLAVOR_AM_X10                           0x08000004
//#define BANKMGMTDEF_FLAVOR_AM_X45R                          0x08000005
//#define BANKMGMTDEF_FLAVOR_AM_X45B                          0x08000006
//#define BANKMGMTDEF_FLAVOR_AM_EVORA_P564                    0x08000007
//#define BANKMGMTDEF_FLAVOR_AM_EVORA_MB                      0x08000008
//#define BANKMGMTDEF_FLAVOR_AM_EVORA_NL                      0x08000009
//#define BANKMGMTDEF_FLAVOR_AM_MCM7                          0x0800000A
//#define BANKMGMTDEF_FLAVOR_AM_MCM8                          0x0800000B
//#define BANKMGMTDEF_FLAVOR_AM_TBL35                         0x0800000D
//#define BANKMGMTDEF_FLAVOR_AM_MODEVA_GANG1                  0x0800000E
//#define BANKMGMTDEF_FLAVOR_AM_MODEVA_GANG2                  0x0800000F
//#define BANKMGMTDEF_FLAVOR_AM_MODEVA_GANG3                  0x08000010
//#define BANKMGMTDEF_FLAVOR_AM_TBL70_GANG3                   0x08000011
//#define BANKMGMTDEF_FLAVOR_AM_BG_MODEVA                     0x08000016
//#define BANKMGMTDEF_FLAVOR_AM_PC502_4G                      0x08000020
//#define BANKMGMTDEF_FLAVOR_AM_D454_FET                      0x08000021
//#define BANKMGMTDEF_FLAVOR_AM_D454_TRIAC                    0x08000022

export const DIGITAL_INPUT_FUNCTION = {
    Null: "空",
    LightScene: "灯光场景",
    EntryDoor: "房门门磁",
    RingBell: "门铃按钮",
    PIR_MotionSensor: "红外信号",
    WindowBalcony: "阳台窗磁",
    SmokeSensor: "烟感信号",
    MinBarDoor: "迷你吧门磁",
    KeyTagSensor: "插卡信号",
    CommonDoor: "公共门门磁",
    ConnectingDoor: "连通门门磁",
};

export const DIGITAL_OUTPUT_FUNCTION = {
    Null: "空",
    DigitalOutput: "普通输出",
    LightOutput: "灯光输出",
};

export const VIRTUAL_OUTPUT_FUNCTION = {
    Null: "空",
    GuideOutput: "参考回路",
};

export const DIGITAL_INPUT_LIGHT_SCENE = {
    LightsAllOn_Room: "灯光全开",
    LightsAllOff_Room: "灯光全关",
    LightsAllOn_Suite: "套房灯光全开",
    LightsAllOff_Suite: "套房灯光全关",
    DimSet: "调光设定",
    DimToggle: "调光切换",
    // LightCtr: "灯光控制",
    LightSceneClear: "灯光场景清除",
    LightSceneSet: "灯光场景设定",
    // SceneClear: "场景清除",
    SmartCircuitToggle: "智能回路切换",
    SmartSceneRotate: "智能场景循环",
    SmartSceneToggle: "智能场景切换",
};

export const DefaultValue = {
    NormallyOpen: 0x02,
    NormallyClose: 0x82,
}
export function NEW_DIGITAL_INPUT(PinID) {
    return {
        Pin: PinID,
        Func: "Null",
        P5Addr: 0,
        ConfFlags: DefaultValue.NormallyOpen,
        Options: 0x00,
        LightScene: {
            Name: 'SmartCircuitToggle',
            LCFlag: 0,
            Circuit: 0,
            Level: 0,
            SuiteID: 0,
            SceneID: 0,
            LogicalCircuitID: 0,
            GuideID: 0,
            RotateSceneCnt: 2,
            RotateSceneID: [0, 1, 2, 3]
        }
    };
};

export function NEW_DIGITAL_OUTPUT(PinID) {
    return {
        Pin: PinID,
        Func: "Null",
        LightOutput: {
            Welcome: false,
            WelcomeStaff: false,
            WelcomeStaffDelayMin: 0,
            WelcomeGuest: false,
            WelcomeGuestDelayMin: 0,
            LogicalCircuitList: [0, 0, 0, 0],
            SceneList: [{
                Enable: false,
                Value: false,
            }, {
                Enable: false,
                Value: false,
            }, {
                Enable: false,
                Value: false,
            }, {
                Enable: false,
                Value: false,
            }, {
                Enable: false,
                Value: false,
            }, {
                Enable: false,
                Value: false,
            }, {
                Enable: false,
                Value: false,
            }, {
                Enable: false,
                Value: false,
            }, {
                Enable: false,
                Value: false,
            }, {
                Enable: false,
                Value: false,
            }, {
                Enable: false,
                Value: false,
            }, {
                Enable: false,
                Value: false,
            }, {
                Enable: false,
                Value: false,
            }, {
                Enable: false,
                Value: false,
            }, {
                Enable: false,
                Value: false,
            }, {
                Enable: false,
                Value: false,
            }],
        },
        DigitalOutput: {
            ConfFlags: 0x00,
            PI5_Ofs: 0x00,
            BitMask: 0x00,
        },
    };
};
